Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040433
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-03-21 16:472019-03-28 14:56
ReporterfranciscoView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision934b1ac98038
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040433: Journal Entries Report, wrong General Ledger by default

DescriptionThe Primary Filter 'General Ledger' does not set the correct General Ledger where the payment has been processed when navigating from the General Ledger report
Steps To Reproduce1) Navigate to General Ledger Report window and enter the information choosing the Organization and General ledger ,and the dates 'From' 'To'. click search
3) Click on Date of any transaction which will open Journal Entries Report.
4) The General ledger that opens in Journal Entries Report by default is not the one it was selected in the previous window.
TagsNo tags attached.
Attached Filespng file icon JournalEntriesReport.png [^] (46,060 bytes) 2019-03-21 16:47

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040239 closedAtulOpenbravo Bug in Journal Entries Report 

-  Notes
(0110558)
AtulOpenbravo (developer)
2019-03-21 20:36

- Login as F&B International Group admin.
- Navigate to General Ledger Report window and enter the information choosing the Organization "F&B Espana S.A" and General ledger "F&B International Group US/A/US Dollar", and the dates 'From' 'To'. Click on search.
- Click on Date of any transaction which will open Journal Entries Report.
- The General ledger that opens in Journal Entries Report by default is the same one it was selected in the previous General ledger Report. "F&B International Group US/A/US Dollar".
(0110628)
hgbot (developer)
2019-03-25 17:52

Repository: erp/devel/pi
Changeset: 934b1ac980382de15cdd15ce29c8aa3a0966e4d3
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Mar 22 00:44:46 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/934b1ac980382de15cdd15ce29c8aa3a0966e4d3 [^]

Fixes Issue 0040433: Journal Entries Report, wrong General Ledger by default
When accessing Journal Entries Report from General Ledger Report
apply similar general ledger filter used in General Ledger Report to Journal
Entries Report

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
---
(0110629)
Sandrahuguet (developer)
2019-03-25 17:52

Code review + testing OK
(0110889)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-21 16:47 francisco New Issue
2019-03-21 16:47 francisco Assigned To => Triage Finance
2019-03-21 16:47 francisco File Added: JournalEntriesReport.png
2019-03-21 16:47 francisco Modules => Core
2019-03-21 16:47 francisco Triggers an Emergency Pack => No
2019-03-21 16:52 AtulOpenbravo Status new => scheduled
2019-03-21 17:38 rafaroda Issue Monitored: rafaroda
2019-03-21 17:38 rafaroda Relationship added related to 0040239
2019-03-21 20:36 AtulOpenbravo Note Added: 0110558
2019-03-25 08:37 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-03-25 14:58 francisco Severity minor => major
2019-03-25 17:52 hgbot Checkin
2019-03-25 17:52 hgbot Note Added: 0110628
2019-03-25 17:52 hgbot Status scheduled => resolved
2019-03-25 17:52 hgbot Resolution open => fixed
2019-03-25 17:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/934b1ac980382de15cdd15ce29c8aa3a0966e4d3 [^]
2019-03-25 17:52 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-25 17:52 Sandrahuguet Note Added: 0110629
2019-03-25 17:52 Sandrahuguet Status resolved => closed
2019-03-25 17:52 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110889


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker